List an agent's functions
curl --request GET \
--url https://api.pineyard.ai/agents/{id}/functions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/agents/{id}/functions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/agents/{id}/functions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"headers": [
{
"key": "<string>",
"value": "<string>"
}
],
"inputSchema": [
{
"name": "<string>",
"type": "string",
"description": "<string>",
"required": true,
"jsonSchema": {}
}
],
"outputSchema": [
{
"name": "<string>",
"type": "string",
"description": "<string>",
"required": true,
"jsonSchema": {}
}
],
"timeoutSeconds": 123,
"startedMessages": [
"<string>"
],
"errorMessage": "<string>",
"externalId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]Custom functions
List an agent's functions
API keys: header values are returned blank; header names are kept.
GET
/
agents
/
{id}
/
functions
List an agent's functions
curl --request GET \
--url https://api.pineyard.ai/agents/{id}/functions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/agents/{id}/functions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/agents/{id}/functions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"headers": [
{
"key": "<string>",
"value": "<string>"
}
],
"inputSchema": [
{
"name": "<string>",
"type": "string",
"description": "<string>",
"required": true,
"jsonSchema": {}
}
],
"outputSchema": [
{
"name": "<string>",
"type": "string",
"description": "<string>",
"required": true,
"jsonSchema": {}
}
],
"timeoutSeconds": 123,
"startedMessages": [
"<string>"
],
"errorMessage": "<string>",
"externalId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]Required scope:
functions.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

